<?php

/**
 * Abstract online solution settings model.
 *
 * @package northmill-online-shared
 */
declare (strict_types=1);
namespace Northmill_Online_Shared_Checkout\Northmill_Online_Shared\Modules\Admin\Pages\Page\Admin_Sync_Settings\Models;

use Northmill_Online_Shared_Checkout\Northmill_Online_Shared\Abstracts\Data_Model;
defined('ABSPATH') || exit;
/**
 * Class Abstract_Online_Solution_Settings_Model
 */
class Abstract_Online_Solution_Settings_Model extends Data_Model
{
    /**
     * Check if the site is enabled from the current settings.
     *
     * @return bool
     */
    public function is_enabled(): bool
    {
        $payment_gateways = WC()->payment_gateways()->get_available_payment_gateways();
        return !empty($payment_gateways);
    }
}
